package client;

import java.net.URL;
import java.io.FileReader;
import java.util.Random;
import java.rmi.Naming;
import java.rmi.RemoteException;


public class Client {
	public static void main(String[] args) throws Exception {
		String serviceLocation;
		String dataFile;

		if ( args.length < 2 ){
			System.out.println ("Usage:: client.Client <service-location> <data-file>" );
			System.exit(1);
		}

		serviceLocation = args[0];
		dataFile = args[1];


		SecureXML service = new SecureXML();
		SignatureSoapPort port = service.getSignatureSoapPort(new URL(serviceLocation));

		FileReader fr = new FileReader(dataFile);
		char[] cbuf = new char[32*1024];
		int n = fr.read(cbuf, 0, cbuf.length);

		System.out.println("Read " + n + " characters from file " + dataFile);

		String result = port.SecureXMLVerify(new String(cbuf, 0, n));

		System.out.println("Result:");
		System.out.println(result);
	}
}